WordPress.org

Ready to get started?Download WordPress

Forums

Store Locator Plus
Internet Explorer 8 not displaying map or results? (15 posts)

  1. seo-uk
    Member
    Posted 1 year ago #

    I can see in the FAQ that ie 9 is supported.. But I am developing this for a large co who has standardised internally on ie 8.. Bit of a show stopper if I can not demo the system!

    http://wordpress.org/extend/plugins/store-locator-le/

  2. ratputin
    Member
    Posted 1 year ago #

    Unfortunately, I have run into the same issue. Is there any way to make it IE8 compatible?

  3. Charleston Software Associates
    Member
    Plugin Author

    Posted 1 year ago #

    This is very often a theme issue. I've tested time & time again on a vanilla Windows XP system with the latest version of IE8. The plugin works perfectly with the default WordPress themes and several others I've tried. My pet project at http://www.verynearhere.com uses a custom theme by another theme dev and works fine. Test that first to make sure it is not a general IE8 setting, then share your theme info so I can possibly test it.

    I have had a TON of problems with dozens of Envato/Theme Forest themes. I also have a list of other known problem themes on the CSA site. I only have a half-dozen or so listed but it gives you an idea of the types of issues that can come up.

  4. ratputin
    Member
    Posted 1 year ago #

    @CSA a few bits of info that may help...

    • I am using a custom theme I built using Artisteer.
    • At the time I was building it, I was on a Laptop that ran XP and IE8.
    • my current machine is a Macbook Pro running the latest version of OSX
    • I build and test in/for Chrome, Firefox, Safari, IE8 & IE9 (as well as mobile platforms)
    • I use Parallels to run a Virtual Machine with a clean Windows 7 install
    • I have IE9 installed on the VM

    The Maps work in all browsers/systems mentioned above except IE9 when the dev mode is set to either IE9 Compatibility Mode or IE8. My client, who runs IE8 as well, experiences the same issue. Also, I have disabled all plugins and experienced the same.

    If it helps, here is the link to the page that I am testing with --> MAP TEST

  5. Charleston Software Associates
    Member
    Plugin Author

    Posted 1 year ago #

    I will look at that when I get some free time. Does http://www.verynearhere.com work for you when using IE8?

  6. ratputin
    Member
    Posted 1 year ago #

    I will check!

  7. ckemp23
    Member
    Posted 1 year ago #

    I'm having problems with getting the map to render in IE8 as well.

    What it's not:

    1) It's not my theme. I tested the map in the untouched installs of TwentyTen and TwentyEleven.

    2) It's not an outdated version of the software. I upgraded to 3.7.7 today.

    Thoughts?

    P.S. I didn't see the on the CSA site the possible places to check if we're experiencing IE8 issues. Could you please provide a link to your list? Thanks!

  8. ckemp23
    Member
    Posted 1 year ago #

    Additionally, Very Near Here works as expected in IE8.

  9. ckemp23
    Member
    Posted 1 year ago #

    Ok, I isolated my particular IE8 issue to the location sensor(geolocation). I know that geolocation is not compatible with IE8, but I would expect a graceful fallback for non-compatible browsers.

    There is a polyfill available. Might be worth looking into.

    Anyways, is this a known issue? Possibly something that can be fixed? I'd hate to prevent my users from utilizing geolocation in compatible browsers simply to get IE8 to render properly.

    Thanks!

  10. Charleston Software Associates
    Member
    Plugin Author

    Posted 1 year ago #

    Google Gears (the first fallback) is supposed to decompose nicely even on IE8. Guess they stopped supporting that. I'll look for a creative workaround to that issue. Thanks for sharing your findings.

  11. Charleston Software Associates
    Member
    Plugin Author

    Posted 1 year ago #

    SLP 3.7.8 is out to the Beta Tester group and should resolve this issue.

  12. beancreative
    Member
    Posted 1 year ago #

    I am using version 3.9 and I am receiving a cross site scripting error in IE 9 (the debug panel says "SCRIPT5: Access is denied.").

    Anyone know what is causing this and how I can fix?

    Thanks!

  13. 0xy9en
    Member
    Posted 1 year ago #

    Hi,

    Reading up on posible solutions here and elsewhere did not solve the issue.
    The issue is that in IE the location list below the map is not filled and does not stay within the boundry/width of the page.
    Chrome (Versie 25.0.1364.172 m), Firefox (19.02) and Safari (5.1.7) are fine, except IE9 (9.0.8112.16421).
    When default templates are activated the issue remains.
    Store Locator Plus: 3.9.2
    Wordpress version: 3.5.1
    JQuery is up to date.
    Plugin debugmode is off.
    The verynearhear website is fine in all browsers.

    ====
    Plugin technical details:
    CSA IP Addresses: 168.62.187.97 and 168.62.187.97
    Active WPCSL: /home/karssena/public_html/TESTOMGEVING/wp-content/plugins/store-locator-le/WPCSL-generic/classes/
    Site URL: http://karssenadvies.nl/TESTOMGEVING
    Encryption Key: d41d8cd98f00b204e9800998ecf8427e
    License Key: unlicensed
    WPCSL Version: 2.1.1
    WordPress Version: 3.5.1
    MySQL Version: 5.5.28
    PHP Version: 5.3.22
    PHP Web App Peak RAM: 25 MB
    PHP Modules: bcmath - bz2 - bz2_filter - calendar - cgi-fcgi - Core - ctype - curl - date - dba - dom - enchant - ereg - exif - fileinfo - filter - ftp - gd - gettext - hash - http - iconv - imap - intl - ionCube Loader - json - ldap - libxml - mailparse - mbstring - mcrypt - memcache - mhash - mysql - mysqli - openssl - pcntl - pcre - PDO - pdo_mysql - pdo_pgsql - pdo_sqlite - pgsql - Phar - posix - pspell - readline - Reflection - session - shmop - SimpleXML - soap - sockets - SourceGuardian - SPL - SQLite - sqlite3 - standard - stats - tidy - tokenizer - wddx - xattr - xml - xmlreader - xmlrpc - xmlwriter - xsl - Zend Guard Loader - zip - zlib
    ====

    Two examples of the issue:
    IE9:
    http://www.hilt.nu/images/slp-misalign.jpg
    http://www.hilt.nu/images/slp-misalign2.jpg

    The test environment: http://www.karssenadvies.nl/TESTOMGEVING/en/contact2/

    Hope you can help.
    Greetings, Jan

  14. beancreative
    Member
    Posted 1 year ago #

    My specific issue (the scripts: denied in IE) was solved by updating the version of JQuery being used (my starter template was using s very old version - 1.4.1 I think).

    I doubt that is your issue, but worth looking into.

  15. Charleston Software Associates
    Member
    Plugin Author

    Posted 1 year ago #

    All support for SLP is moving to the CSA website. Posts on that site now take precedence and get my attention first. Visit the new support forum here:
    http://www.charlestonsw.com/forums/forum/support-2/

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic